/**
 * HasSupport.java
 *
 * File generated from the medication::HasSupport uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration HasSupport.
 *
 * 
 */

@XmlType(name = "HasSupport")
@XmlEnum
@XmlRootElement(name = "HasSupport")
public enum HasSupport {
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("SPRTBND")
	SPRTBND("SPRTBND");
	
	private final String value;

    HasSupport(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static HasSupport fromValue(String v) {
        for (HasSupport c: HasSupport.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}